searchData={"items":[{"type":"module","title":"Plausible","doc":"`Plausible` is a library to push analytics event to [Plausible Analytics](\"https://plausible.io\").\nThe library provides two working mode to push events.","ref":"Plausible.html"},{"type":"module","title":"Installation - Plausible","doc":"1. Add `:plausible` to your project `mix.exs` dependencies\n\n```elixir\n  def deps() do\n    [ #other dependendencies excluded here\n      {:plausible, \"~> 0.1.0\"}\n    ]\n  end\n```\n\n2. Initialize `finch` process in your app supervision tree.\n\n```elixir\n  def start(_type, _arg) do\n    children = [{Finch, name: MyApp.Finch}]\n  end\n```","ref":"Plausible.html#module-installation"},{"type":"module","title":"Usages - Plausible","doc":"The library provides two working modes as listed below\n\n1. Use `Plausible.Client` as the wrapper to `Plausible` module so you can pass in less parameters.\n2. Or use `Plausible` directly that accepts a finch process name and keyword `opts` parameter directly to send event to Plausible Analytics Host. \n\nThe document can be found on each `Plausible` and `Plausible.Client`","ref":"Plausible.html#module-usages"},{"type":"module","title":"Contributions - Plausible","doc":"All contributions are welcome. Please visit https://github.com/blisscs/plausible and create issue or pull request there.","ref":"Plausible.html#module-contributions"},{"type":"function","title":"Plausible.create_event/3","doc":"Create Plausible Event\n\nCurrently only returns `:ok`","ref":"Plausible.html#create_event/3"},{"type":"function","title":"Examples - Plausible.create_event/3","doc":"iex> create_event(MyApp.Finch, user_agent: user_agent, x_forwarded_for: x_forwarded_for, url: url, domain: domain)\n    :ok","ref":"Plausible.html#create_event/3-examples"},{"type":"module","title":"Plausible.Client","doc":"`Plausible.Client` provides a wrapper to internal for calling to functions defined on `Plausible` module.","ref":"Plausible.Client.html"},{"type":"module","title":"Usage - Plausible.Client","doc":"1. Create your client module.\n\n```elixir\ndefmodule MyApp.Plausible do\n  use Plausible.Client, finch_pool_name: MyApp.Finch\nend\n```\n\nOptional options include `plausbile_host_url` where the base_url of self hosted plausible can be passed in.\n\n2. Once module is defined can use `create_event/1` as below to send event to Plausible host.\n\n```elixir\n:ok = MyApp.Plausible.create_event(user_agent: user_agent, x_forwarded_for: x_forwarded_for, url: url, domain: domain)\n```","ref":"Plausible.Client.html#module-usage"},{"type":"module","title":"Plausible.FinchSupervisor","doc":"","ref":"Plausible.FinchSupervisor.html"}],"content_type":"text/markdown"}